Bug 567747 - Missing string in the titles of multiple Alert Template-related pages
Missing string in the titles of multiple Alert Template-related pages
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-02-23 15:14 EST by Steve Salevan
Modified: 2011-05-23 21:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2010-02-23 15:14:35 EST
Description of problem:
If a user attempts to create an alert template via:

Administration->System Configuration->Templates->Edit Alert Templates (pick one)->New Template

the title of the page will be:

RHQ New Platform Alert Definition - {0}

Version-Release number of selected component (if applicable):
RHQ-alertPlugin git pull, 2/18

How reproducible:
Always

Steps to Reproduce:
1. Login to an RHQ Server
2. Goto Administration->System Configuration->Templates->Edit Alert Templates (pick one)->New Template
3. View page title
  
Actual results:
As above

Expected results:
Title is more appropriate, and {0} template replace string does not appear

Additional info:
Comment 1 Steve Salevan 2010-02-23 15:27:25 EST
A similar titling problem can be seen upon:

Administration->System Configuration->Templates->Edit Metric Templates

wherein the title displays as:

RHQ View Platform Monitor Configure Visibility - {0}
Comment 2 Heiko W. Rupp 2010-02-26 05:03:59 EST
Justin - can you look at this, as some of this is in the current area of work anyway.
Comment 3 Justin Harris 2010-03-01 09:47:26 EST
This link is going to the old (Struts) page for alert definitions.  Is there an existing bug for moving this to the new JSF page?
Comment 8 John Mazzitelli 2011-02-17 15:41:20 EST
the new gwt ui doesn't have this problem now
Comment 9 Mike Foley 2011-04-20 15:10:50 EDT
verified 4/29/2011 release.
Comment 10 Corey Welton 2011-05-23 21:12:51 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 11 Corey Welton 2011-05-23 21:12:51 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 12 Corey Welton 2011-05-23 21:13:05 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.